@echo OFF

rem DownLoad.bat:  Insert or remove stop_after_send.txt/sah files in each active WU buffer
rem For version info, see BatFiles\SBVer.bat

if .%1.==./?. goto Help
if not .%1.==.?. goto NoHelp


:Help

   echo.
   echo.DownLoad.bat %SB.ver% %SB.verdate% Expected Parameters:
   echo.
   echo.  1.  (optional) /TEST (caps required) for testing.  Omit for normal operation.
   echo.  2.  Instance base (e.g., Cmd-1); a folder with this name is tested for
   echo.  3.  OK if stop_after_send.txt/sah files are to be removed from each active WU buffer
   echo.      NO if stop_after_send.txt/sah files are to be added to each active WU buffer
   echo.
   echo.  The SETI folder is assumed to be the current directory
   echo.
   echo. Function:  Create or remove stop_after_send.txt/sah files in each active WU buffer
   echo.
   pause
   goto Continue

:NoHelp


  rem Test for presence of BatFiles\SETIVfy.bat

   if exist BatFiles\SETIVfy.bat goto VFYok
   echo.
   echo.DownLoad.bat %SB.ver% %SB.verdate%:
   echo.Improper installation:  cannot find BatFiles\SETIVfy.bat
   echo.
   set SB.Quit=DownLoad.bat_cannot_find_SETIVfy.bat
   pause
   goto Continue

:VFYok


  rem Verify installation   

   call BatFiles\SETIVfy.bat DownLoad.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Verify Parameters

   call BatFiles\SETIVfyP DownLoad.bat 2 %1 %2 %3
   if not .%SB.Quit%.==.. goto Help

  rem Add or Delete the files

   if .%2.==.OK. goto SBDLok
   if .%2.==.ok. goto SBDLok
   if .%2.==.Ok. goto SBDLok
   if .%2.==.oK. goto SBDLok
   if .%2.==.NO. goto SBDLno
   if .%2.==.no. goto SBDLno
   if .%2.==.No. goto SBDLno
   if .%2.==.nO. goto SBDLno
   goto Help


:SBDLok

   call BatFiles\DelSAS.bat %1 1
   call BatFiles\DelSAS.bat %1 2
   call BatFiles\DelSAS.bat %1 3
   call BatFiles\DelSAS.bat %1 4
   call BatFiles\DelSAS.bat %1 5
   call BatFiles\DelSAS.bat %1 6
   call BatFiles\DelSAS.bat %1 7
   call BatFiles\DelSAS.bat %1 8
   call BatFiles\DelSAS.bat %1 9
   goto Continue


:SBDLno

   call BatFiles\AddSAS.bat %1 1
   call BatFiles\AddSAS.bat %1 2
   call BatFiles\AddSAS.bat %1 3
   call BatFiles\AddSAS.bat %1 4
   call BatFiles\AddSAS.bat %1 5
   call BatFiles\AddSAS.bat %1 6
   call BatFiles\AddSAS.bat %1 7
   call BatFiles\AddSAS.bat %1 8
   call BatFiles\AddSAS.bat %1 9


:Continue
