@echo OFF

rem Logging.bat:  Rename SETILog.OK/SETILog.NO to inhibit/permit logging via SETILog.
rem For version info, see BatFiles\SBVer.bat

if .%1.==./?. goto Help
if not .%1.==.?. goto NoHelp


:Help

   echo.
   echo.Logging.bat %SB.ver% %SB.verdate% Expected Parameters:
   echo.
   echo.  1.  (optional) /TEST (caps required) for testing.  Omit for normal operation.
   echo.  2.  Instance base (e.g., Cmd-1); a folder with this name is tested for
   echo.  3.  OK if logging via SETILog is to be permitted
   echo.      NO if logging via SETILog is to be inhibited
   echo.
   echo.  The SETI folder is assumed to be the current directory
   echo.
   echo. Function:  Rename/create SETILog.OK/NO files to inhibit or permit logging via SETILog
   echo.
   pause
   goto Continue

:NoHelp


  rem Test for presence of BatFiles\SETIVfy.bat

   if exist BatFiles\SETIVfy.bat goto VFYok
   echo.
   echo.Logging.bat %SB.ver% %SB.verdate%:
   echo.Improper installation:  cannot find BatFiles\SETIVfy.bat
   echo.
   set SB.Quit=Logging.bat_cannot_find_SETIVfy.bat
   pause
   goto Continue

:VFYok


  rem Verify installation   

   call BatFiles\SETIVfy.bat Logging.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Verify Parameters

   call BatFiles\SETIVfyP Logging.bat 2 %1 %2 %3
   if not .%SB.Quit%.==.. goto Help


   if .%2.==.OK. goto LogOK
   if .%2.==.ok. goto LogOK
   if .%2.==.Ok. goto LogOK
   if .%2.==.oK. goto LogOK
   if .%2.==.NO. goto LogNO
   if .%2.==.no. goto LogNO
   if .%2.==.No. goto LogNO
   if .%2.==.nO. goto LogNO
   echo.Logging.bat:  Parameter 2 invalid -- must be OK or NO
   pause
   goto Continue

:LogOK
   set SB.Log=OK
   goto LogAny

:LogNO
   set SB.Log=NO
   goto LogAny

:LogAny
   call BatFiles\Logging1.bat %SB.Log%
   if not exist %1\*.* goto Continue
   cd %1
   call ..\BatFiles\Logging1.bat %SB.Log%
   cd ..
   if not exist %1\1\*.* goto Continue
   cd %1\1
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\2\*.* goto Continue
   cd %1\2
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\3\*.* goto Continue
   cd %1\3
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\4\*.* goto Continue
   cd %1\4
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\5\*.* goto Continue
   cd %1\5
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\6\*.* goto Continue
   cd %1\6
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\7\*.* goto Continue
   cd %1\7
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\8\*.* goto Continue
   cd %1\8
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..
   if not exist %1\9\*.* goto Continue
   cd %1\9
   call ..\..\BatFiles\Logging1.bat %SB.Log%
   cd ..\..


:Continue
   set SB.Log=
