@echo OFF

rem SETI.bat:  Run specified Instance of SETI@home (n WUs in a loop, continuously)
rem For version info, see BatFiles\SBVer.bat

if .%1.==./?. goto Help
if not .%1.==.?. goto NoHelp


:Help

   echo.
   echo.SETI.bat %SB.ver% %SB.verdate% Expected Parameters:
   echo.
   echo.  1.  Instance base (e.g., Cmd-1); a folder with this name is tested for
   echo.
   echo.  The SETI folder is assumed to be the current directory
   echo.
   echo. Function:  Invoke the SETI@home command-line client for each of a group
   echo.            of Work Unit Buffers, circularly (unless prohibited).
   echo.
   pause
   goto Continue

:NoHelp


  rem Test for presence of BatFiles\SETIVfy.bat

   if exist BatFiles\SETIVfy.bat goto VFYok
   echo.
   echo.SETI.bat %SB.ver% %SB.verdate%:
   echo.Improper installation:  cannot find BatFiles\SETIVfy.bat
   echo.
   set SB.Quit=SETI.bat_cannot_find_SETIVfy.bat
   pause
   goto Continue

:VFYok


  rem Verify installation   

   call BatFiles\SETIVfy.bat SETI.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Verify Parameters

   call BatFiles\SETIVfyP SETI.bat 1 %1 %2
   if not .%SB.Quit%.==.. goto Help


  rem Fix up *.ok/*.no in %1 folder

   call BatFiles\CmdOKNO.bat %1


  rem Display Version and Instance information

   echo.
   echo.SETIBuf %SB.ver% %SB.verdate%:  SETI@home Work Unit Buffering
   echo.SETI.bat %SB.ver% %SB.verdate%:  Instance %1
   echo.Processing Work Units ...
   echo.


  rem Test for permission to run SETI in at least one subdirectory

   call BatFiles\Vfy1OK.bat SETI.bat %1 SETI.ok
   if not .%SB.Quit%.==.. goto Continue


:Start

  rem If a Work Unit is in progress, resume it; otherwise, start with WU1

   if exist %1\1.run goto WU1
   if exist %1\2.run goto WU2
   if exist %1\3.run goto WU3
   if exist %1\4.run goto WU4
   if exist %1\5.run goto WU5
   if exist %1\6.run goto WU6
   if exist %1\7.run goto WU7
   if exist %1\8.run goto WU8
   if exist %1\9.run goto WU9


:WU1
   call BatFiles\SETIRun1.bat %1 1
   if not .%SB.Quit%.==.. goto Continue

:WU2
   call BatFiles\SETIRun1.bat %1 2
   if not .%SB.Quit%.==.. goto Continue

:WU3
   call BatFiles\SETIRun1.bat %1 3
   if not .%SB.Quit%.==.. goto Continue

:WU4
   call BatFiles\SETIRun1.bat %1 4
   if not .%SB.Quit%.==.. goto Continue

:WU5
   call BatFiles\SETIRun1.bat %1 5
   if not .%SB.Quit%.==.. goto Continue

:WU6
   call BatFiles\SETIRun1.bat %1 6
   if not .%SB.Quit%.==.. goto Continue

:WU7
   call BatFiles\SETIRun1.bat %1 7
   if not .%SB.Quit%.==.. goto Continue

:WU8
   call BatFiles\SETIRun1.bat %1 8
   if not .%SB.Quit%.==.. goto Continue

:WU9
   call BatFiles\SETIRun1.bat %1 9
   if not .%SB.Quit%.==.. goto Continue


  rem If all the SETI.ok files have been removed/renamed, Continue

   call BatFiles\Vfy1OK.bat SETI.bat %1 SETI.ok
   if not .%SB.Quit%.==.. goto Continue


  rem If AutoDial OK, go back to Start

   if not exist AutoDial.no if exist AutoDial.ok goto Start


  rem If any active WU Buffer has a work_unit.txt or
  rem work_unit.sah go to Start

   call BatFiles\VfyWUok.bat SETI.bat %1
   if .%SB.Quit%.==.. goto Start


:Continue
