@echo OFF

rem SETICall.bat:  Refresh buffers for a single Cmd-n folder-tree
rem For version info, see BatFiles\SBVer.bat

if .%1.==./?. goto Help
if not .%1.==.?. goto NoHelp


:Help

   echo.
   echo.SETICall.bat %SB.ver% %SB.verdate% Expected Parameters:
   echo.
   echo.  1.  Instance base (e.g., Cmd-1); a folder with this name is tested for
   echo.
   echo.  The SETI folder is assumed to be the current directory
   echo.
   echo.  Function:  Send in any completed Work Units in active WU Buffers; get new
   echo.             Work Units to replace any sent in; and get new Work Units to
   echo.             fill any empty active WU Buffers.
   echo.
   echo.             SETI.ok/SETI.no settings are used to determine 'active' status.
   echo.
   pause
   goto Continue

:NoHelp


  rem Test for presence of BatFiles\SETIVfy.bat

   if exist BatFiles\SETIVfy.bat goto VFYok
   echo.
   echo.SETICall.bat %SB.ver% %SB.verdate%:
   echo.Improper installation:  cannot find BatFiles\SETIVfy.bat
   echo.
   set SB.Quit=SETICall.bat_cannot_find_SETIVfy.bat
   pause
   goto Continue

:VFYok


  rem Verify installation   

   call BatFiles\SETIVfy.bat SETICall.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Verify Parameters

   call BatFiles\SETIVfyP SETICall.bat 1 %1 %2
   if not .%SB.Quit%.==.. goto Help


  rem Fix up *.ok/*.no in %1 folder

   call BatFiles\CmdOKNO.bat %1


  rem Display Version and Instance Information

   echo.
   echo.SETIBuf %SB.ver% %SB.verdate%:  SETI@home Work Unit Buffering
   echo.SETICall.bat %SB.ver% %SB.verdate%:  Instance %1
   echo.Checking for missing Work Units ...
   echo.


  rem Test for permission to run SETI in at least one subdirectory

   call BatFiles\Vfy1OK.bat SETICall.bat %1 SETI.ok
   if not .%SB.Quit%.==.. goto Continue


:Start

  rem Try to send completed WUs and refill any empty buffers ... once only

   Call BatFiles\SETIBuf.bat %1
   if not .%SB.Quit%.==.. goto Continue


  rem If any active WU Buffers remain without a work_unit.txt or
  rem or work_unit.sah, go back to Start

   if not exist %1\1\SETI.ok goto WU1ok
   if exist %1\1\SETI.no goto WU1ok
   if exist %1\1\work_unit.sah goto WU1ok
   if not exist %1\1\work_unit.txt goto Start
:WU1ok
   if not exist %1\2\SETI.ok goto WU2ok
   if exist %1\2\SETI.no goto WU2ok
   if exist %1\2\work_unit.sah goto WU2ok
   if not exist %1\2\work_unit.txt goto Start
:WU2ok
   if not exist %1\3\SETI.ok goto WU3ok
   if exist %1\3\SETI.no goto WU3ok
   if exist %1\3\work_unit.sah goto WU3ok
   if not exist %1\3\work_unit.txt goto Start
:WU3ok
   if not exist %1\4\SETI.ok goto WU4ok
   if exist %1\4\SETI.no goto WU4ok
   if exist %1\4\work_unit.sah goto WU4ok
   if not exist %1\4\work_unit.txt goto Start
:WU4ok
   if not exist %1\5\SETI.ok goto WU5ok
   if exist %1\5\SETI.no goto WU5ok
   if exist %1\5\work_unit.sah goto WU5ok
   if not exist %1\5\work_unit.txt goto Start
:WU5ok
   if not exist %1\6\SETI.ok goto WU6ok
   if exist %1\6\SETI.no goto WU6ok
   if exist %1\6\work_unit.sah goto WU6ok
   if not exist %1\6\work_unit.txt goto Start
:WU6ok
   if not exist %1\7\SETI.ok goto WU7ok
   if exist %1\7\SETI.no goto WU7ok
   if exist %1\7\work_unit.sah goto WU7ok
   if not exist %1\7\work_unit.txt goto Start
:WU7ok
   if not exist %1\8\SETI.ok goto WU8ok
   if exist %1\8\SETI.no goto WU8ok
   if exist %1\8\work_unit.sah goto WU8ok
   if not exist %1\8\work_unit.txt goto Start
:WU8ok
   if not exist %1\9\SETI.ok goto WU9ok
   if exist %1\9\SETI.no goto WU9ok
   if exist %1\9\work_unit.sah goto WU9ok
   if not exist %1\9\work_unit.txt goto Start
:WU9ok


:Continue
