rem SETIRun1.bat:  Process existing Work Unit; if done, send it and get a new one; and return
rem For version info, see SBVer.bat

rem  Parameters:
rem    1.  Instance base (e.g., Cmd-1)
rem    2.  Buffer number (e.g., 3)

rem Notes: The SETI folder is assumed to be the current directory.


  rem Display execution in TEST mode

   if .%SB.Test%.==.Y. echo.%0 %1 %2 %3 %4 %5 %6 %7 %8 %9


  rem Verify number of parameters

   call BatFiles\SETIVfyP.bat SETIRun1.bat 2 %1 %2 %3
   if not .%SB.Quit%.==.. goto Continue


  rem If a S@H client is already running, Continue
   echo.Next command will produce error message if S@H client is running

:TXTLock

   if exist %1\%2\Lock.txt del %1\%2\Lock.txt
   if exist %1\%2\Lock.txt goto Continue
   echo. > %1\%2\Lock.txt

:SAHLock

   if exist %1\%2\Lock.sah del %1\%2\Lock.sah
   if exist %1\%2\Lock.sah goto Continue
   echo. > %1\%2\Lock.sah

  rem Clear out the %1\%2.run if it exists

   call BatFiles\DelOld.bat %1 %2.run


  rem If SETI work not permitted in this directory, Continue

   if not exist %1\%2\SETI.ok goto Continue
   if exist %1\%2\SETI.no goto Continue


  rem Fill all the buffers if permitted

   if not exist AutoDial.ok goto Process
   if exist AutoDial.no goto Process

   call BatFiles\SETIBuf.bat %1
   if not .%SB.Quit%.==.. goto Continue


:Process

  rem If no Work Unit exists, Stop

   if exist %1\%2\work_unit.sah goto RunMark
   if not exist %1\%2\work_unit.txt goto Continue


:RunMark

  rem Mark this instance as running

   echo.Running %2 > %1\%2.run


  rem Display Version and Instance information

   echo.
   echo.SETIRun1.bat %SB.ver% %SB.verdate%:  Instance %1, Buffer %2
   echo.


  rem Establish SB.cli with the correct version of the S@H client
   if exist %1\%2\work_unit.txt set SB.cli=%SB.1.3.cli%
   if not exist %1\%2\work_unit.txt set SB.cli=%SB.2.0.cli%
   if exist %1\%2\Client2.4 set SB.cli=%SB.2.4.cli%
   if exist %1\%2\Client3.0 set SB.cli=%SB.3.0.cli%
   if exist %1\%2\Client3.03 set SB.cli=%SB.3.03.cli%


  rem Start the SETI@home client, stop after the WU is processed

   if [%SB.cli%[==[%SB.3.03.cli%[ call BatFiles\SETIcli.bat %1 %2 -verbose -stop_after_process
   if [%SB.cli%[==[%SB.3.0.cli%[ call BatFiles\SETIcli.bat %1 %2 -verbose -stop_after_process
   if [%SB.cli%[==[%SB.2.4.cli%[ call BatFiles\SETIcli.bat %1 %2 -verbose -stop_after_process
   if [%SB.cli%[==[%SB.2.0.cli%[ call BatFiles\SETIcli.bat %1 %2 -stop_after_process
   if [%SB.cli%[==[%SB.1.3.cli%[ call BatFiles\SETIcli.bat %1 %2 -stop_after_process
   if not .%SB.Quit%.==.. goto Continue


  rem Log the WU (if it finished)

   call BatFiles\LogWU.bat %1 %2


  rem Mark this instance as no longer running

   call BatFiles\DelOld.bat %1 %2.run


:Continue
