@echo OFF

rem SETISend.bat:  Send in completed Work Units (only) and replace with new ones (all buffers)
rem For version info, see BatFiles\SBVer.bat

rem Notes: This process does not honor the SETI.ok/SETI.no settings; it is intended
rem 	   to send completed WUs after the SETI.ok files have been renamed to
rem	   SETI.no by some other process.

if .%1.==./?. goto Help
if not .%1.==.?. goto NoHelp


:Help

   echo.
   echo.SETISend.bat %SB.ver% %SB.verdate% Expected Parameters:
   echo.
   echo.  1.  Instance base (e.g., Cmd-1); a folder with this name is tested for
   echo.
   echo.  The SETI folder is assumed to be the current directory
   echo.
   echo.  Function:  Send in completed Work Units in any WU Buffers; get new
   echo.             Work Units to replace any sent in.
   echo.
   echo.             SETI.ok/SETI.no settings are ignored.
   echo.
   pause
   goto Continue

:NoHelp


  rem Test for presence of BatFiles\SETIVfy.bat

   if exist BatFiles\SETIVfy.bat goto VFYok
   echo.
   echo.SETISend.bat %SB.ver% %SB.verdate%:
   echo.Improper installation:  cannot find BatFiles\SETIVfy.bat
   echo.
   set SB.Quit=SETISend.bat_cannot_find_SETIVfy.bat
   pause
   goto Continue

:VFYok


  rem Verify installation   

   call BatFiles\SETIVfy.bat SETISend.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Verify number of parameters

   call BatFiles\SETIVfyP SETISend.bat 1 %1 %2
   if not .%SB.Quit%.==.. goto Help


  rem Fix up *.ok/*.no in %1 folder

   call BatFiles\CmdOKNO.bat %1


  rem Ensure that directory %1 exists (if not, display an error)

   call BatFiles\Vfy1OK.bat SETISend.bat %1 *.*
   if not .%SB.Quit%.==.. goto Continue


  rem Display Version and Instance information

   echo.
   echo.SETIBuf %SB.ver% %SB.verdate%:  SETI@home Work Unit Buffering
   echo.SETISend.bat %SB.ver% %SB.verdate%:  Instance %1
   echo.Checking for completed Work Units ...
   echo.


  rem Check all the buffers ...

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\1
   call BatFiles\SETISnd1.bat %1 1
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\2
   call BatFiles\SETISnd1.bat %1 2
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\3
   call BatFiles\SETISnd1.bat %1 3
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\4
   call BatFiles\SETISnd1.bat %1 4
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\5
   call BatFiles\SETISnd1.bat %1 5
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\6
   call BatFiles\SETISnd1.bat %1 6
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\7
   call BatFiles\SETISnd1.bat %1 7
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\8
   call BatFiles\SETISnd1.bat %1 8
   if not .%SB.Quit%.==.. goto Continue

   echo.SETISend.bat %SB.ver% %SB.verdate%:  Checking %1\9
   call BatFiles\SETISnd1.bat %1 9
   if not .%SB.Quit%.==.. goto Continue


:Continue
