rem SETIVfy.bat:  SETIBuf Service routine -- Verify SETIBuf installation
rem For version info, see SBVer.bat

rem  Paramters:
rem    1.  Name of invoking procedure (for display)

rem Note:  If all verifications OK, the variable SB.ver will
rem	    contain the SETIBuf version.
rem	   If any verification fails, the variable SB.Quit will
rem	    be present, indicating the nature of the failure.

rem Note:  The SETI folder is assumed to be current when invoked

rem Note:  Fixes the *.ok/*.no situations in the SETI folder, so
rem        that if both are present only the *.no remains


  rem Display execution in TEST mode

   if .%SB.Test%.==.Y. echo.%0 %1 %2 %3 %4 %5 %6 %7 %8 %9


  rem Test for presence of BatFiles\SBVer.bat

   if exist BatFiles\SBVer.bat goto GoVERok
   echo.
   echo.SETIVfy.bat for %1:
   echo.Improper installation:  cannot find BatFiles\SBVer.bat
   echo.
   set SB.Quit=SETIVfy.bat_cannot_find_SBVer.bat
   pause
   goto Continue

:GoVERok


  rem Set SB.ver (remains if no failure)

   call BatFiles\SBVer.bat


  rem Test for presence of BatFiles\StopAll.bat
   if exist BatFiles\StopAll.bat goto GoSTOPok
   echo.
   echo.SETIVfy.bat %SB.ver% %SB.verdate% for %1:
   echo.Improper installation:  cannot find BatFiles\StopAll.bat
   echo.
   set SB.Quit=SETIVfy.bat_cannot_find_StopAll.bat
   pause
   goto Continue

:GoSTOPok


  rem Test for presence of BatFiles\VfyFile.bat

   if exist BatFiles\VfyFile.bat goto GoVFYFok
   echo.
   echo.SETIVfy.bat %SB.ver% %SB.verdate% for %1:
   echo.Improper installation:  cannot find BatFiles\VfyFile.bat
   echo.
   set SB.Quit=SETIVfy.bat_cannot_find_VfyFile.bat
   call BatFiles\StopAll.bat SETIVfy
   goto Continue

:GoVFYFok

  rem Test for presence of SETIName.bat

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETIName.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Establish name for SETI@home command-line client

   call BatFiles\SETIName.bat


  rem Test for presence of primary (SETI folder) *.bat files

   call BatFiles\VfyFile.bat SETIVfy.bat . DownLoad.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat . NetSend.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat . SETI.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat . SETICall.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat . SETINet.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat . SETISend.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat . WUSet.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Test for presence of subordinate (BatFiles folder) *.bat files ...

  rem Full versions of SETI folder *.bat files

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles DownLoad.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles NetSend.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETI.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETICall.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETINet.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETISend.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles WUSet.bat
   if not .%SB.Quit%.==.. goto Continue

  rem Subordinate (BatFiles folder) *.bat files

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles CmdOKNO.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles DelOld.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles FixOKNO.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles LogWU.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles ReturnTo.vbs
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SendRecv.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETIBuf.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETIGet1.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETIQuit.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETIRun1.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETISnd1.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles SETIVfyP.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles TestCLI.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles Vfy1OK.bat
   if not .%SB.Quit%.==.. goto Continue

   call BatFiles\VfyFile.bat SETIVfy.bat BatFiles VfyWUok.bat
   if not .%SB.Quit%.==.. goto Continue


  rem Test for presence of SETI@home command-line client, 2.0 flavors or later

   if exist .\%SB.3.03.cli% goto ClientOK
   if exist .\%SB.3.0.cli% goto ClientOK
   if exist .\%SB.2.0.cli% goto ClientOK
   call BatFiles\VfyFile.bat SETIVfy.bat . %SB.2.4.cli%
   if not .%SB.Quit%.==.. goto Continue

:ClientOK


  rem Verify Parameters passed to SETIVfy.bat

   call BatFiles\SETIVfyP.bat SETIVfy.bat 1 %1 %2
   if not .%SB.Quit%.==.. goto Continue


  rem Remove old *.bat files from SETI folder if present

   call BatFiles\DelOld.bat . CmdOKNO.bat
   call BatFiles\DelOld.bat . FixOKNO.bat
   call BatFiles\DelOld.bat . SBVer.bat
   call BatFiles\DelOld.bat . SETIBuf.bat
   call BatFiles\DelOld.bat . SETIGet1.bat
   call BatFiles\DelOld.bat . SETIName.bat
   call BatFiles\DelOld.bat . SETIQuit.bat
   call BatFiles\DelOld.bat . SETIRun1.bat
   call BatFiles\DelOld.bat . SETISnd1.bat
   call BatFiles\DelOld.bat . SETIVfy.bat
   call BatFiles\DelOld.bat . Vfy1OK.bat


  rem Remove old *.bat files from BatFiles folder if present

   call BatFiles\DelOld.bat BatFiles SETI-Env.bat


  rem Remove miscellaneous junk which older SETIBuf versions may have generated
   call BatFiles\DelOld.bat . Lock.txt
   call BatFiles\DelOld.bat . Quit
   call BatFiles\DelOld.bat . AudoDial.ok
   call BatFiles\DelOld.bat . AudoDial.no


  rem Fix up AutoDial.ok/AutoDial.no
   call BatFiles\FixOKNO.bat . AutoDial


  rem Fix up SETILog.ok/SETILog.no
   call BatFiles\FixOKNO.bat . SETILog


  rem Fix up LoadUser.ok/LoadUser.no
   call BatFiles\FixOKNO.bat . LoadUser


  rem Fix up SaveUser.ok/SaveUser.no
   call BatFiles\FixOKNO.bat . SaveUser


:Continue
