rem SETIVfyP.bat:  SETIBuf Service routine -- Verify Number of Parameters (up to 7)
rem For version info, see SBVer.bat

rem  Paramters:
rem    1.  Name of invoking procedure (for display)
rem    2.  Number of parameters to check for (0 to 7)
rem  3-n.  The parameters to be checked
rem

rem  Notes:
rem    This procedure sets SB.Quit to a non-null value if an error is detected


   set SB.MaxP=0
   if not .%3.==.. goto P1Pres
   if .%2.==.0. goto Continue
   goto TooFew

:P1Pres
   set SB.MaxP=1
   if .%2.==.0. goto TooMany
   if not .%4.==.. goto P2Pres
   if .%2.==.1. goto Continue
   goto TooFew

:P2Pres
   set SB.MaxP=2
   if .%2.==.1. goto TooMany
   if not .%5.==.. goto P3Pres
   if .%2.==.2. goto Continue
   goto TooFew

:P3Pres
   set SB.MaxP=3
   if .%2.==.2. goto TooMany
   if not .%6.==.. goto P4Pres
   if .%2.==.3. goto Continue
   goto TooFew

:P4Pres
   set SB.MaxP=4
   if .%2.==.3. goto TooMany
   if not .%7.==.. goto P5Pres
   if .%2.==.4. goto Continue
   goto TooFew

:P5Pres
   set SB.MaxP=5
   if .%2.==.4. goto TooMany
   if not .%8.==.. goto P6Pres
   if .%2.==.5. goto Continue
   goto TooFew

:P6Pres
   set SB.MaxP=6
   if .%2.==.5. goto TooMany
   if not .%9.==.. goto P7Pres
   if .%2.==.6. goto Continue
   goto TooFew

:P7Pres
   set SB.MaxP=7
   if .%2.==.6. goto TooMany
   goto Continue


:TooFew
   echo.SETIVfyP.bat %SB.ver% %SB.verdate% for %1:
   echo.%1 expected %2 parameter(s) but received only %SB.MaxP%
   set SB.Quit=%1_expected_%2_Parameter(s)_but_received_only_%SB.MaxP%
   goto Display


:TooMany
   echo.SETIVfyP.bat %SB.ver% %SB.verdate% for %1:
   echo.%1 expected %2 parameter(s) but received %SB.MaxP% or more
   set SB.Quit=%1_expected_%2_Parameter(s)_but_received_%SB.MaxP%_or_more


:Display
   echo.Parameters received:
   if not .%3.==.. goto ShowParm
   echo.  (none)
   goto Continue

:ShowParm
   echo.  1.  %3
   if .%4.==.. goto Continue
   echo.  2.  %4
   if .%5.==.. goto Continue
   echo.  3.  %5
   if .%6.==.. goto Continue
   echo.  4.  %6
   if .%7.==.. goto Continue
   echo.  5.  %7
   if .%8.==.. goto Continue
   echo.  6.  %8
   if .%9.==.. goto Continue
   echo.  7.  %9


:Continue
   set SB.MaxP=
