rem SETIcli.bat:  Invoke the SETI@home command-line client (variable SB.cli)
rem For version info, see SBVer.bat

rem  Parameters:
rem    1.  Instance base (e.g., Cmd-1)
rem    2.  Buffer number (e.g., 3)
rem    3-n.  Parameters for the command-line client

rem  Notes: The SETI folder is assumed to be the current directory.


  rem Display execution in TEST mode

   if .%SB.Test%.==.Y. echo.%0 %1 %2 %3 %4 %5 %6 %7 %8 %9


  rem establish variable for CPU Affinity

   set SB.cpu=
   if exist %1\CPU-Aff.0 set SB.cpu=0
   if exist %1\CPU-Aff.1 set SB.cpu=1
   if exist %1\CPU-Aff.2 set SB.cpu=2
   if exist %1\CPU-Aff.3 set SB.cpu=3
   if exist %1\CPU-Aff.4 set SB.cpu=4
   if exist %1\CPU-Aff.5 set SB.cpu=5
   if exist %1\CPU-Aff.6 set SB.cpu=6
   if exist %1\CPU-Aff.7 set SB.cpu=7


  rem Remove CPU-Aff.n if affinity has been set


   if .%SB.cpu%.==.. goto CPUAffNO
   if exist %1\CPU-Aff.n del %1\CPU-Aff.n
   set SB.cpu=-cpu %SB.cpu%
   

:CPUAffNO

  rem Proxy:  If you need to provide proxy information,
  rem         then insert it following the = in the following statement:
  rem         For example:  set SB.proxy=MACHINE:80

  rem establish variable for Proxy Information

   set SB.proxy=


  rem Complete Proxy operand if one was provided

   if not .%SB.proxy%.==.. set SB.proxy=-proxy %SB.proxy%


  rem Socks Proxy:  If you need to provide information for a Socks proxy,
  rem               then insert the appropriate values following the =
  rem               in the following statements.

  rem establish variables for Socks Proxy (version 2.0 and up only)

   set SB.SocksServer=
   set SB.SocksUser=
   set SB.SocksPassword=


rem Complete Socks Proxy operands if provided

   if .%SB.SocksServer%.==.. goto SocksOK
   set SB.Socks1=-socks_server %SB.SocksServer%
   if not .%SB.SocksUser%.==.. set SB.Socks2=-socks_user %SB.SocksUser%
   if not .%SB.SocksPassword%.==.. set SB.Socks3=-socks_passwd %SB.SocksPassword%


:SocksOK

  rem In Test Mode, call the Test client and exit

   if not .%SB.Test%.==.Y. goto RealMode
   call BatFiles\TestCLI.bat %SB.cpu% %SB.proxy% %SB.Socks1% %SB.Socks2% %SB.Socks3% %3 %4 %5 %6 %7 %8 %9
   goto Continue


:RealMode

  rem Real mode:  invoke the real client (WU Buffer as current directory)
  rem If Lock.txt/Lock.sah cannot be deleted, skip client invocation (it's already running here)


:TXTLock

   if not exist %1\%2\Lock.txt goto SAHLock
   del %1\%2\Lock.txt
   if exist %1\%2\Lock.txt goto Continue
   echo. > %1\%2\Lock.txt


:SAHLock

   if not exist %1\%2\Lock.sah goto NoLock
   del %1\%2\Lock.sah
   if exist %1\%2\Lock.sah goto Continue
   echo. > %1\%2\Lock.sah


:NoLock

   cd %1\%2
   echo...\..\%SB.cli% %SB.cpu% %SB.proxy% %SB.Socks1% %SB.Socks2% %SB.Socks3% %3 %4 %5 %6 %7 %8 %9
   echo.
   ..\..\%SB.cli% %SB.cpu% %SB.proxy% %SB.Socks1% %SB.Socks2% %SB.Socks3% %3 %4 %5 %6 %7 %8 %9
   cd ..\..

  rem Test for cancelation via CTRL+C

   call BatFiles\SETIQuit.bat


  rem If not canceled, delete extra Lock.txt/Lock.sah
   if not .%SB.Quit%.==.. goto Continue
   if exist %1\%2\user_info.txt if exist %1\%2\Lock.sah del %1\%2\Lock.sah
   if exist %1\%2\user_info.sah if exist %1\%2\Lock.txt del %1\%2\Lock.txt


:Continue

   set SB.cpu=
   set SB.proxy=
   set SB.Socks1=
   set SB.Socks2=
   set SB.Socks3=
   set SB.SocksServer=
   set SB.SocksUser=
   set SB.SocksPassword=
   set SB.cli=
